# CUPTI::PcSamplingUtil::CUptiUtil_GetPcSampDataParams Struct Reference
[CUPTI PC Sampling Utility API]

Params for CuptiUtilGetPcSampData.

## Data Fields
PcSamplingBufferType | bufferType
std::ifstream * | fileHandler
size_t | numAttributes
BufferInfo * | pBufferInfoData
CUpti_PCSamplingConfigurationInfo * | pPCSamplingConfigurationInfo
PcSamplingStallReasons * | pPcSamplingStallReasons
void * | pSamplingData
size_t | size

## Field Documentation

PcSamplingBufferType CUPTI::PcSamplingUtil::CUptiUtil_GetPcSampDataParams::bufferType

Type of buffer to store in file

std::ifstream* CUPTI::PcSamplingUtil::CUptiUtil_GetPcSampDataParams::fileHandler

File handle.

size_t CUPTI::PcSamplingUtil::CUptiUtil_GetPcSampDataParams::numAttributes

Number of configuration attributes

BufferInfo* CUPTI::PcSamplingUtil::CUptiUtil_GetPcSampDataParams::pBufferInfoData

Pointer to collected buffer info using CuptiUtilGetBufferInfo

CUpti_PCSamplingConfigurationInfo* CUPTI::PcSamplingUtil::CUptiUtil_GetPcSampDataParams::pPCSamplingConfigurationInfo

Refer CUpti_PCSamplingConfigurationInfo

PcSamplingStallReasons* CUPTI::PcSamplingUtil::CUptiUtil_GetPcSampDataParams::pPcSamplingStallReasons

Refer PcSamplingStallReasons. For stallReasons field of PcSamplingStallReasons it is expected to allocate memory for each string element of array.

void* CUPTI::PcSamplingUtil::CUptiUtil_GetPcSampDataParams::pSamplingData

Pointer to allocated memory to store retrieved data from file.

size_t CUPTI::PcSamplingUtil::CUptiUtil_GetPcSampDataParams::size

Size of the data structure i.e. CUpti_PCSamplingDisableParamsSize CUPTI client should set the size of the structure. It will be used in CUPTI to check what fields are available in the structure. Used to preserve backward compatibility.